package cn.cecep.talroad.domain.analysis;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 企业排放量差异分析对象 s_ra_emissions_diff
 *
 * @author szhpt
 * @date 2023-03-24
 */
@ApiModel(value = "企业排放量差异分析")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_ra_emissions_diff")
public class SRaEmissionsDiff extends BaseEntity {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    @Excel(name = "企业id")
    private String factoryId;




    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String pollutantName;


    @ApiModelProperty(value = "系统核算排放量（t）")
    /** 系统核算排放量（t） */
    @Excel(name = "系统核算排放量", readConverterExp = "t=")
    private String sysEmissions;


    @ApiModelProperty(value = "执行报告上报排放量（t）")
    /** 执行报告上报排放量（t） */
    @Excel(name = "执行报告上报排放量", readConverterExp = "t=")
    private String reportEmissions;


    @ApiModelProperty(value = "排放差异率")
    /** 排放差异率 */
    @Excel(name = "排放差异率")
    private String diffRate;


    @ApiModelProperty(value = "分析日期")
    /** 分析日期 */
    @Excel(name = "分析日期")
    private String analyseDate;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("factoryId", getFactoryId())
                .append("pollutantName", getPollutantName())
                .append("sysEmissions", getSysEmissions())
                .append("reportEmissions", getReportEmissions())
                .append("diffRate", getDiffRate())
                .append("analyseDate", getAnalyseDate())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
